- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# ejabberd_user – Manages users for ejabberd servers

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Status

## Synopsis

- This module provides user management for ejabberd servers

## Requirements

The below requirements are needed on the host that executes this module.

- ejabberd with mod_admin_extra

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
host - / required |  | the ejabberd host associated with this username
logging boolean | Choices: no ← yes | enables or disables the local syslog facility for this module
password - |  | the password to assign to the username
state - | Choices: present ← absent | describe the desired state of the user to be managed
username - / required |  | the name of the user to manage

## Notes

Note

- Password parameter is required for state == present only

- Passwords must be stored in clear text for this release

- The ejabberd configuration file must include mod_admin_extra as a module.

## Examples

    # Example playbook entries using the ejabberd_user module to manage users state.

    - name: create a user if it does not exist
      ejabberd_user:
        username: test
        host: server
        password: password

    - name: delete a user if it exists
      ejabberd_user:
        username: test
        host: server
        state: absent

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Peter Sprygada (@privateip)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.